Subject: Re: bug#16830: [Bug] 24.3.50; massive slow down in forward-line

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Mar 2014 18:39:33 +0200

> Date: Mon, 17 Mar 2014 19:05:27 +0400
> From: Dmitry Antipov <[email-masked]>
> CC: [email-masked]
> 
> On 03/10/2014 10:58 PM, Eli Zaretskii wrote:
> 
> > It would be nice to be able to turn the cache on and off dynamically,
> > depending on the actual line length of the buffer.  I tried to
> > implement this, but my naive implementation didn't work well, because
> > sampling of the lines tends to be extremely un-representative.  If
> > someone can come up with a smarter implementation, please show it.
> 
> What if we just maintain the '\n' counter per each buffer text?

How would you know how many newlines are there in the buffer?
Counting them is an overhead in itself that we currently avoid (see
line-number-display-limit).

But anyway, feel free to implement something and test it.  As I've
written above, I tried (for admittedly short time), but didn't get
good results.